Index: /code/trunk/src/libraries/util/Math.cc
===================================================================
--- /code/trunk/src/libraries/util/Math.cc	(revision 9944)
+++ /code/trunk/src/libraries/util/Math.cc	(revision 9945)
@@ -204,26 +204,26 @@
     orxonox::Vector2 get3DProjection(const orxonox::Vector3& myposition, const orxonox::Vector3& mydirection, const orxonox::Vector3& myorthonormal, const orxonox::Vector3& otherposition, const float mapangle, const float detectionlimit)
     {
-    	// Orxonox Vectors: x_direction you are looking, y_direction points up, z_direction points to the right
-    	orxonox::Vector3 distance = otherposition - myposition;	// get vector from Ship to object
-
-    	// new coordinate system:	x_axsis:	mydirection		(points front)
-    	//							y_axsis:	myorthonormal	(points up)
-    	//							z_axsis:	myside			(points right)
-
-    	orxonox::Vector3 myside = mydirection.crossProduct(myorthonormal); // get 3. base vector
-
-    	distance = 4*distance / detectionlimit; // shrink vector on map
-    	if(distance.length() > 1.0f) // if object would wander outside of the map
-    	    	{
-    	    	distance = distance / distance.length();
-    	   		}
-
-    	// perform a coordinate transformation to get distance in relation of the position of the ship
-    	orxonox::Vector3 distanceShip = getTransformedVector(distance, mydirection, myorthonormal, myside);
-
-    	// calculate 2D vector on the map (with angle between x/z - plain and line of sight)
-    	float xcoordinate = distanceShip.z; // z; cause x direction on screen is to the right side
-    	float ycoordinate = distanceShip.x*sin(mapangle)+distanceShip.y*cos(mapangle);
-    	return orxonox::Vector2(xcoordinate , ycoordinate);
+        // Orxonox Vectors: x_direction you are looking, y_direction points up, z_direction points to the right
+        orxonox::Vector3 distance = otherposition - myposition; // get vector from Ship to object
+
+        // new coordinate system: x_axsis: mydirection   (points front)
+        //                        y_axsis: myorthonormal (points up)
+        //                        z_axsis: myside        (points right)
+
+        orxonox::Vector3 myside = mydirection.crossProduct(myorthonormal); // get 3. base vector
+
+        distance = 4*distance / detectionlimit; // shrink vector on map
+        if(distance.length() > 1.0f) // if object would wander outside of the map
+        {
+            distance = distance / distance.length();
+        }
+
+        // perform a coordinate transformation to get distance in relation of the position of the ship
+        orxonox::Vector3 distanceShip = getTransformedVector(distance, mydirection, myorthonormal, myside);
+
+        // calculate 2D vector on the map (with angle between x/z - plain and line of sight)
+        float xcoordinate = distanceShip.z; // z; cause x direction on screen is to the right side
+        float ycoordinate = distanceShip.x*sin(mapangle)+distanceShip.y*cos(mapangle);
+        return orxonox::Vector2(xcoordinate , ycoordinate);
     }
 
@@ -243,21 +243,21 @@
     bool isObjectHigherThanShipOnMap(const orxonox::Vector3& myposition, const orxonox::Vector3& mydirection, const orxonox::Vector3& myorthonormal, const orxonox::Vector3& otherposition, const float mapangle)
     {
-    	// Orxonox Vectors: x_direction you are looking, y_direction points up, z_direction points to the right
-    	orxonox::Vector3 distance = otherposition - myposition;
-
-    	// new coordinate system:	x_axsis:	mydirection		(points front)
-    	//							y_axsis:	myorthonormal	(points up)
-       	//							z_axsis:	myside			(points right)
-
-       	orxonox::Vector3 myside = mydirection.crossProduct(myorthonormal); // get vector from Ship to object
-
-
-       	// perform a coordinate transformation to get distance in relation of the position of the ship
-       	orxonox::Vector3 distanceShip = getTransformedVector(distance, mydirection, myorthonormal, myside);
-
-       	if(distanceShip.y >= 0)
-       		return true;
-       	else
-       		return false;
+        // Orxonox Vectors: x_direction you are looking, y_direction points up, z_direction points to the right
+        orxonox::Vector3 distance = otherposition - myposition;
+
+        // new coordinate system: x_axsis: mydirection   (points front)
+        //                        y_axsis: myorthonormal (points up)
+        //                        z_axsis: myside        (points right)
+
+        orxonox::Vector3 myside = mydirection.crossProduct(myorthonormal); // get vector from Ship to object
+
+
+        // perform a coordinate transformation to get distance in relation of the position of the ship
+        orxonox::Vector3 distanceShip = getTransformedVector(distance, mydirection, myorthonormal, myside);
+
+        if(distanceShip.y >= 0)
+            return true;
+        else
+            return false;
     }
 
@@ -265,25 +265,25 @@
                    @brief A value between 0 and 10, in order how other object is in front or in back
                    @param myposition My position
-               	   @param mydirection My viewing direction
-               	   @param myorthonormal My orthonormalvector (pointing upwards through my head)
-               	   @param otherposition The position of the other object
-               	   @param detectionlimit The limit in which objects are shown on the map
+                   @param mydirection My viewing direction
+                   @param myorthonormal My orthonormalvector (pointing upwards through my head)
+                   @param otherposition The position of the other object
+                   @param detectionlimit The limit in which objects are shown on the map
                    @return value between 0 and 100
     */
     int determineMap3DZOrder(const orxonox::Vector3& myposition, const orxonox::Vector3& mydirection, const orxonox::Vector3& myorthonormal, const orxonox::Vector3& otherposition, const float detectionlimit)
     {
-    	orxonox::Vector3 distance = otherposition - myposition;	// get vector from Ship to object
-    	orxonox::Vector3 myside = mydirection.crossProduct(myorthonormal); 	// get vector to the side
-
-    	distance = 4*distance / detectionlimit; // shrink vector on map
-    	if(distance.length() > 1.0f) // if object would wander outside of the map
-    	{
-    		distance = distance / distance.length();
-    	}
-
-    	// perform a coordinate transformation to get distance in relation of the position of the ship
-       	orxonox::Vector3 distanceShip = getTransformedVector(distance, mydirection, myorthonormal, myside);
-
-       	return (int) 50 - 100*distanceShip.x;
+        orxonox::Vector3 distance = otherposition - myposition; // get vector from Ship to object
+        orxonox::Vector3 myside = mydirection.crossProduct(myorthonormal); // get vector to the side
+
+        distance = 4*distance / detectionlimit; // shrink vector on map
+        if(distance.length() > 1.0f) // if object would wander outside of the map
+        {
+            distance = distance / distance.length();
+        }
+
+        // perform a coordinate transformation to get distance in relation of the position of the ship
+        orxonox::Vector3 distanceShip = getTransformedVector(distance, mydirection, myorthonormal, myside);
+
+        return (int) 50 - 100*distanceShip.x;
     }
 
@@ -300,8 +300,8 @@
                 y is vector in old coordinates
                 T is transform matrix with:
-                	T = (t1 , t2 , t3)
-                	t1 = mydirection
-                	t2 = myorthonormal
-                	t3 = myside
+                    T = (t1 , t2 , t3)
+                    t1 = mydirection
+                    t2 = myorthonormal
+                    t3 = myside
 
                 y = T^(-1)*x
@@ -309,32 +309,32 @@
     orxonox::Vector3 getTransformedVector(const orxonox::Vector3& distance, const orxonox::Vector3& mydirection, const orxonox::Vector3& myorthonormal, const orxonox::Vector3& myside)
     {
-    	// inverse of the transform matrix
-    	float determinant = +mydirection.x * (myorthonormal.y*myside.z - myside.y*myorthonormal.z)
-    						-mydirection.y * (myorthonormal.x*myside.z - myorthonormal.z*myside.x)
-    						+mydirection.z * (myorthonormal.x*myside.y - myorthonormal.y*myside.x);
-    	float invdet = 1/determinant;
-
-    	// transform matrix
-    	orxonox::Vector3 xinvtransform;
-    	orxonox::Vector3 yinvtransform;
-    	orxonox::Vector3 zinvtransform;
-
-    	xinvtransform.x = (myorthonormal.y * myside.z        - myside.y        * myorthonormal.z)*invdet;
-    	xinvtransform.y = (mydirection.z   * myside.y        - mydirection.y   * myside.z       )*invdet;
-    	xinvtransform.z = (mydirection.y   * myorthonormal.z - mydirection.z   * myorthonormal.y)*invdet;
-    	yinvtransform.x = (myorthonormal.z * myside.x        - myorthonormal.x * myside.z       )*invdet;
-    	yinvtransform.y = (mydirection.x   * myside.z        - mydirection.z   * myside.x       )*invdet;
-    	yinvtransform.z = (myorthonormal.x * mydirection.z   - mydirection.x   * myorthonormal.z)*invdet;
-    	zinvtransform.x = (myorthonormal.x * myside.y        - myside.x        * myorthonormal.y)*invdet;
-    	zinvtransform.y = (myside.x        * mydirection.y   - mydirection.x   * myside.y       )*invdet;
-    	zinvtransform.z = (mydirection.x   * myorthonormal.y - myorthonormal.x * mydirection.y  )*invdet;
-
-    	// coordinate transformation
-    	orxonox::Vector3 distanceShip;
-    	distanceShip.x = xinvtransform.x * distance.x + yinvtransform.x * distance.y + zinvtransform.x * distance.z;
-    	distanceShip.y = xinvtransform.y * distance.x + yinvtransform.y * distance.y + zinvtransform.y * distance.z;
-    	distanceShip.z = xinvtransform.z * distance.x + yinvtransform.z * distance.y + zinvtransform.z * distance.z;
-
-    	return distanceShip;
+        // inverse of the transform matrix
+        float determinant = +mydirection.x * (myorthonormal.y*myside.z - myside.y*myorthonormal.z)
+                            -mydirection.y * (myorthonormal.x*myside.z - myorthonormal.z*myside.x)
+                            +mydirection.z * (myorthonormal.x*myside.y - myorthonormal.y*myside.x);
+        float invdet = 1/determinant;
+
+        // transform matrix
+        orxonox::Vector3 xinvtransform;
+        orxonox::Vector3 yinvtransform;
+        orxonox::Vector3 zinvtransform;
+
+        xinvtransform.x = (myorthonormal.y * myside.z        - myside.y        * myorthonormal.z)*invdet;
+        xinvtransform.y = (mydirection.z   * myside.y        - mydirection.y   * myside.z       )*invdet;
+        xinvtransform.z = (mydirection.y   * myorthonormal.z - mydirection.z   * myorthonormal.y)*invdet;
+        yinvtransform.x = (myorthonormal.z * myside.x        - myorthonormal.x * myside.z       )*invdet;
+        yinvtransform.y = (mydirection.x   * myside.z        - mydirection.z   * myside.x       )*invdet;
+        yinvtransform.z = (myorthonormal.x * mydirection.z   - mydirection.x   * myorthonormal.z)*invdet;
+        zinvtransform.x = (myorthonormal.x * myside.y        - myside.x        * myorthonormal.y)*invdet;
+        zinvtransform.y = (myside.x        * mydirection.y   - mydirection.x   * myside.y       )*invdet;
+        zinvtransform.z = (mydirection.x   * myorthonormal.y - myorthonormal.x * mydirection.y  )*invdet;
+
+        // coordinate transformation
+        orxonox::Vector3 distanceShip;
+        distanceShip.x = xinvtransform.x * distance.x + yinvtransform.x * distance.y + zinvtransform.x * distance.z;
+        distanceShip.y = xinvtransform.y * distance.x + yinvtransform.y * distance.y + zinvtransform.y * distance.z;
+        distanceShip.z = xinvtransform.z * distance.x + yinvtransform.z * distance.y + zinvtransform.z * distance.z;
+
+        return distanceShip;
     }
 
Index: /code/trunk/src/modules/docking/Dock.cc
===================================================================
--- /code/trunk/src/modules/docking/Dock.cc	(revision 9944)
+++ /code/trunk/src/modules/docking/Dock.cc	(revision 9945)
@@ -86,42 +86,42 @@
     {
 
-    	PlayerTrigger* pTrigger = orxonox_cast<PlayerTrigger*>(trigger);
-    	PlayerInfo* player = NULL;
-
-    	// Check whether it is a player trigger and extract pawn from it
-    	if(pTrigger != NULL)
-    	{
-    	      if(!pTrigger->isForPlayer()) {  // The PlayerTrigger is not exclusively for Pawns which means we cannot extract one.
-    	      orxout(verbose, context::docking) << "Docking:execute PlayerTrigger was not triggered by a player.." << endl;
-    	      return false;
-    	      }
-    	      player = pTrigger->getTriggeringPlayer();
-    	}
-    	else
-    	{
-    	      orxout(verbose, context::docking) << "Docking::execute Not a player trigger, can't extract pawn from it.." << endl;
-    	      return false;
-    	}
-    	if(player == NULL)
-    	{
-    	      orxout(verbose, context::docking) << "Docking::execute Can't retrieve PlayerInfo from Trigger. (" << trigger->getIdentifier()->getName() << ")" << endl;
-    	      return false;
-    	}
-
- 	    if(bTriggered)
-    	{
-    	      // Add player to this Docks candidates
-    	      candidates_.insert(player);
-
-    	      // Show docking dialog
-    	      this->showUndockingDialogHelper(player);
-    	}
-    	else
-    	{
-    	      // Remove player from candidates list
-    	      candidates_.erase(player);
-    	}
-
-    	return true;
+        PlayerTrigger* pTrigger = orxonox_cast<PlayerTrigger*>(trigger);
+        PlayerInfo* player = NULL;
+
+        // Check whether it is a player trigger and extract pawn from it
+        if(pTrigger != NULL)
+        {
+            if(!pTrigger->isForPlayer()) {  // The PlayerTrigger is not exclusively for Pawns which means we cannot extract one.
+            orxout(verbose, context::docking) << "Docking:execute PlayerTrigger was not triggered by a player.." << endl;
+            return false;
+            }
+            player = pTrigger->getTriggeringPlayer();
+        }
+        else
+        {
+            orxout(verbose, context::docking) << "Docking::execute Not a player trigger, can't extract pawn from it.." << endl;
+            return false;
+        }
+        if(player == NULL)
+        {
+            orxout(verbose, context::docking) << "Docking::execute Can't retrieve PlayerInfo from Trigger. (" << trigger->getIdentifier()->getName() << ")" << endl;
+            return false;
+        }
+
+        if(bTriggered)
+        {
+            // Add player to this Docks candidates
+            candidates_.insert(player);
+
+            // Show docking dialog
+            this->showUndockingDialogHelper(player);
+        }
+        else
+        {
+            // Remove player from candidates list
+            candidates_.erase(player);
+        }
+
+        return true;
     }
 
Index: /code/trunk/src/modules/docking/MoveToDockingTarget.cc
===================================================================
--- /code/trunk/src/modules/docking/MoveToDockingTarget.cc	(revision 9944)
+++ /code/trunk/src/modules/docking/MoveToDockingTarget.cc	(revision 9945)
@@ -66,9 +66,9 @@
     {
         //TODO: Investigate strange things...
-    	//this->parent_->detach((WorldEntity*)player->getControllableEntity());
+        //this->parent_->detach((WorldEntity*)player->getControllableEntity());
 
-    	//TODO: Check the issue with this detach call.
-    	//I have removed the line because the detach call only caused a warning and terminated. And because I didn't find a attach call either.
-    	//Didn't find the need for the line.
+        //TODO: Check the issue with this detach call.
+        //I have removed the line because the detach call only caused a warning and terminated. And because I didn't find a attach call either.
+        //Didn't find the need for the line.
         this->parent_->undockingAnimationFinished(player);
         return true;
Index: /code/trunk/src/modules/gametypes/SpaceRaceController.cc
===================================================================
--- /code/trunk/src/modules/gametypes/SpaceRaceController.cc	(revision 9944)
+++ /code/trunk/src/modules/gametypes/SpaceRaceController.cc	(revision 9945)
@@ -464,29 +464,29 @@
                 currentShape->getBoundingSphere(positionObject,radiusObject);
                 Vector3 positionObjectNonBT(positionObject.x(), positionObject.y(), positionObject.z());
-				Vector3 norm_r_CP = cP1ToCP2.crossProduct(centerCP1-positionObjectNonBT);
-
-				if(norm_r_CP.length() == 0){
-					Vector3 zufall;
+                Vector3 norm_r_CP = cP1ToCP2.crossProduct(centerCP1-positionObjectNonBT);
+
+                if(norm_r_CP.length() == 0){
+                    Vector3 zufall;
                     do{
                         zufall=Vector3(rnd(),rnd(),rnd());//random
                     }while((zufall.crossProduct(cP1ToCP2)).length() == 0);
-					norm_r_CP=zufall.crossProduct(cP1ToCP2);
-				}
-				Vector3 VecToVCP = norm_r_CP.crossProduct(cP1ToCP2);
-				float distanzToCP1 = sqrt(powf(radiusObject,4)/(powf((centerCP1-positionObjectNonBT).length(), 2)-powf(radiusObject,2))+powf(radiusObject,2));
-				float distanzToCP2 = sqrt(powf(radiusObject,4)/(powf((racepoint2->getPosition()-positionObjectNonBT).length(), 2)-powf(radiusObject,2))+powf(radiusObject,2));
+                    norm_r_CP=zufall.crossProduct(cP1ToCP2);
+                }
+                Vector3 VecToVCP = norm_r_CP.crossProduct(cP1ToCP2);
+                float distanzToCP1 = sqrt(powf(radiusObject,4)/(powf((centerCP1-positionObjectNonBT).length(), 2)-powf(radiusObject,2))+powf(radiusObject,2));
+                float distanzToCP2 = sqrt(powf(radiusObject,4)/(powf((racepoint2->getPosition()-positionObjectNonBT).length(), 2)-powf(radiusObject,2))+powf(radiusObject,2));
                 float distanz = std::max(distanzToCP1,distanzToCP2);
-				//float distanz = 0.0f; //TEMPORARY
-				Vector3 newCheckpointPositionPos = positionObjectNonBT+(distanz*VecToVCP)/VecToVCP.length();
-				Vector3 newCheckpointPositionNeg = positionObjectNonBT-(distanz*VecToVCP)/VecToVCP.length();
-				if((newCheckpointPositionPos - centerCP1).length() + (newCheckpointPositionPos - (centerCP1+cP1ToCP2)).length() < (newCheckpointPositionNeg - centerCP1).length() + (newCheckpointPositionNeg - (centerCP1+cP1ToCP2)).length() )
-				{
-					RaceCheckPoint* newVirtualCheckpoint = addVirtualCheckPoint(racepoint1,racepoint2->getCheckpointIndex(), newCheckpointPositionPos);
-				}
-				else
-				{
-					RaceCheckPoint* newVirtualCheckpoint = addVirtualCheckPoint(racepoint1,racepoint2->getCheckpointIndex(), newCheckpointPositionNeg);
-				}
-				return;
+                //float distanz = 0.0f; //TEMPORARY
+                Vector3 newCheckpointPositionPos = positionObjectNonBT+(distanz*VecToVCP)/VecToVCP.length();
+                Vector3 newCheckpointPositionNeg = positionObjectNonBT-(distanz*VecToVCP)/VecToVCP.length();
+                if((newCheckpointPositionPos - centerCP1).length() + (newCheckpointPositionPos - (centerCP1+cP1ToCP2)).length() < (newCheckpointPositionNeg - centerCP1).length() + (newCheckpointPositionNeg - (centerCP1+cP1ToCP2)).length() )
+                {
+                    RaceCheckPoint* newVirtualCheckpoint = addVirtualCheckPoint(racepoint1,racepoint2->getCheckpointIndex(), newCheckpointPositionPos);
+                }
+                else
+                {
+                    RaceCheckPoint* newVirtualCheckpoint = addVirtualCheckPoint(racepoint1,racepoint2->getCheckpointIndex(), newCheckpointPositionNeg);
+                }
+                return;
             }
         }
Index: /code/trunk/src/modules/invader/InvaderWeaponEnemy.cc
===================================================================
--- /code/trunk/src/modules/invader/InvaderWeaponEnemy.cc	(revision 9944)
+++ /code/trunk/src/modules/invader/InvaderWeaponEnemy.cc	(revision 9945)
@@ -45,5 +45,5 @@
     void InvaderWeaponEnemy::shot()
     {
-    	InvaderWeapon::shot();
+        InvaderWeapon::shot();
         // SUPER(InvaderWeaponEnemy, shot);
         // only shoot in foreward direction
Index: /code/trunk/src/modules/objects/ForceField.cc
===================================================================
--- /code/trunk/src/modules/objects/ForceField.cc	(revision 9944)
+++ /code/trunk/src/modules/objects/ForceField.cc	(revision 9945)
@@ -203,16 +203,16 @@
         else if(this->mode_ == forceFieldMode::homogen)
         {
-        	// Iterate over all objects that could possibly be affected by the ForceField.
-        	for (ObjectList<MobileEntity>::iterator it = ObjectList<MobileEntity>::begin(); it != ObjectList<MobileEntity>::end(); ++it)
-        	{
-        		Vector3 distanceVector = it->getWorldPosition() - this->getWorldPosition();
-        	    float distance = distanceVector.length();
-        	    if (distance < this->radius_ && distance > this->massRadius_)
-        	    {
-        	    	// Add a Acceleration in forceDirection_.
-        	    	// Vector3(0,0,0) is the direction, where the force should work.
-        	    	it->addAcceleration(forceDirection_ , Vector3(0,0,0));
-        	    }
-        	}
+            // Iterate over all objects that could possibly be affected by the ForceField.
+            for (ObjectList<MobileEntity>::iterator it = ObjectList<MobileEntity>::begin(); it != ObjectList<MobileEntity>::end(); ++it)
+            {
+                Vector3 distanceVector = it->getWorldPosition() - this->getWorldPosition();
+                float distance = distanceVector.length();
+                if (distance < this->radius_ && distance > this->massRadius_)
+                {
+                    // Add a Acceleration in forceDirection_.
+                    // Vector3(0,0,0) is the direction, where the force should work.
+                    it->addAcceleration(forceDirection_ , Vector3(0,0,0));
+                }
+            }
         }
     }
Index: /code/trunk/src/modules/objects/Turret.cc
===================================================================
--- /code/trunk/src/modules/objects/Turret.cc	(revision 9944)
+++ /code/trunk/src/modules/objects/Turret.cc	(revision 9945)
@@ -57,11 +57,11 @@
     void Turret::rotatePitch(const Vector2& value)
     {
-    	orxout()<< "Turret rotate Pitch"<< endl;
+        orxout()<< "Turret rotate Pitch"<< endl;
 
-    	const Quaternion& orient = this->getOrientation();
-    	Radian pitch = orient.getPitch();
+        const Quaternion& orient = this->getOrientation();
+        Radian pitch = orient.getPitch();
 
-    	if((value.x > 0 && pitch < Radian(180)) || (value.x < 0 && pitch > Radian(0)))
-    		SpaceShip::rotatePitch(value);
+        if((value.x > 0 && pitch < Radian(180)) || (value.x < 0 && pitch > Radian(0)))
+            SpaceShip::rotatePitch(value);
     }
 
@@ -69,9 +69,9 @@
     void Turret::setAlertnessRadius(float value)
     {
-    	this->controller_->setAlertnessRadius(value);
+        this->controller_->setAlertnessRadius(value);
     }
     float Turret::getAlertnessRadius()
     {
-    	return this->controller_->getAlertnessRadius();
+        return this->controller_->getAlertnessRadius();
     }
 
Index: /code/trunk/src/modules/overlays/hud/HUDRadar.cc
===================================================================
--- /code/trunk/src/modules/overlays/hud/HUDRadar.cc	(revision 9944)
+++ /code/trunk/src/modules/overlays/hud/HUDRadar.cc	(revision 9945)
@@ -71,5 +71,5 @@
 
         this->map3DFront_ = static_cast<Ogre::PanelOverlayElement*>(Ogre::OverlayManager::getSingleton()
-        	.createOverlayElement("Panel", "HUDRadar_mapDreiDFront_" + getUniqueNumberString()));
+            .createOverlayElement("Panel", "HUDRadar_mapDreiDFront_" + getUniqueNumberString()));
         this->map3DFront_->setMaterialName("Orxonox/Radar3DFront");
         this->overlay_->add2D(this->map3DFront_);
@@ -77,5 +77,5 @@
 
         this->map3DBack_ = static_cast<Ogre::PanelOverlayElement*>(Ogre::OverlayManager::getSingleton()
-        	.createOverlayElement("Panel", "HUDRadar_mapDreiDBack_" + getUniqueNumberString()));
+            .createOverlayElement("Panel", "HUDRadar_mapDreiDBack_" + getUniqueNumberString()));
         this->map3DBack_->setMaterialName("Orxonox/Radar3DBack");
         this->overlay_->add2D(this->map3DBack_);
@@ -189,15 +189,15 @@
         if(RadarMode_)
         {
-        	this->setBackgroundMaterial(material3D_);
-        	this->map3DFront_->_notifyZOrder(this->overlay_->getZOrder() * 100 + 250); // it seems that the ZOrder of overlayelements is 100 times the ZOrder of the overlay
-        	this->map3DBack_->_notifyZOrder(this->overlay_->getZOrder() * 100 - 250); // 250 a little bit buffer so that the two shels are displayed all in the front / in the back
-        	this->map3DFront_->show();
-        	this->map3DBack_->show();
+            this->setBackgroundMaterial(material3D_);
+            this->map3DFront_->_notifyZOrder(this->overlay_->getZOrder() * 100 + 250); // it seems that the ZOrder of overlayelements is 100 times the ZOrder of the overlay
+            this->map3DBack_->_notifyZOrder(this->overlay_->getZOrder() * 100 - 250); // 250 a little bit buffer so that the two shels are displayed all in the front / in the back
+            this->map3DFront_->show();
+            this->map3DBack_->show();
         }
         else
         {
-        	this->setBackgroundMaterial(material2D_);
-        	this->map3DFront_->hide();
-        	this->map3DBack_->hide();
+            this->setBackgroundMaterial(material2D_);
+            this->map3DFront_->hide();
+            this->map3DBack_->hide();
         }
 
@@ -218,7 +218,7 @@
             float size;
             if(RadarMode_)
-            	size = maximumDotSize3D_ * halfDotSizeDistance_ / (halfDotSizeDistance_ + distance) * it->first->getRadarObjectScale();
+                size = maximumDotSize3D_ * halfDotSizeDistance_ / (halfDotSizeDistance_ + distance) * it->first->getRadarObjectScale();
             else
-            	size = maximumDotSize_ * halfDotSizeDistance_ / (halfDotSizeDistance_ + distance) * it->first->getRadarObjectScale();
+                size = maximumDotSize_ * halfDotSizeDistance_ / (halfDotSizeDistance_ + distance) * it->first->getRadarObjectScale();
             it->second->setDimensions(size, size);
 
@@ -228,17 +228,17 @@
             if(RadarMode_)
             {
-            	coord = get3DProjection(this->owner_->getPosition(), this->owner_->getOrientation() * WorldEntity::FRONT, this->owner_->getOrientation() * WorldEntity::UP, wePointer->getWorldPosition(), 0.6435011, detectionLimit_);
-
-            	// set zOrder on screen
-            	bool overXZPlain = isObjectHigherThanShipOnMap(this->owner_->getPosition(), this->owner_->getOrientation() * WorldEntity::FRONT, this->owner_->getOrientation() * WorldEntity::UP, wePointer->getWorldPosition(), this->mapAngle_);
-
-            	int zOrder = determineMap3DZOrder(this->owner_->getPosition(), this->owner_->getOrientation() * WorldEntity::FRONT, this->owner_->getOrientation() * WorldEntity::UP, wePointer->getWorldPosition(), detectionLimit_);
-            	if(overXZPlain == false /*&& (it->second->getZOrder() >  100 * this->overlay_->getZOrder())*/) // it appears that zOrder of attached Overlayelements is 100 times the zOrder of the Overlay
-            		it->second->_notifyZOrder(this->overlay_->getZOrder() * 100 - 70 + zOrder);
-            	if(overXZPlain == true /*&& (it->second->getZOrder() <= 100 * this->overlay_->getZOrder())*/)
-            		it->second->_notifyZOrder(this->overlay_->getZOrder() * 100 + 70 + zOrder);
+                coord = get3DProjection(this->owner_->getPosition(), this->owner_->getOrientation() * WorldEntity::FRONT, this->owner_->getOrientation() * WorldEntity::UP, wePointer->getWorldPosition(), 0.6435011, detectionLimit_);
+
+                // set zOrder on screen
+                bool overXZPlain = isObjectHigherThanShipOnMap(this->owner_->getPosition(), this->owner_->getOrientation() * WorldEntity::FRONT, this->owner_->getOrientation() * WorldEntity::UP, wePointer->getWorldPosition(), this->mapAngle_);
+
+                int zOrder = determineMap3DZOrder(this->owner_->getPosition(), this->owner_->getOrientation() * WorldEntity::FRONT, this->owner_->getOrientation() * WorldEntity::UP, wePointer->getWorldPosition(), detectionLimit_);
+                if(overXZPlain == false /*&& (it->second->getZOrder() >  100 * this->overlay_->getZOrder())*/) // it appears that zOrder of attached Overlayelements is 100 times the zOrder of the Overlay
+                    it->second->_notifyZOrder(this->overlay_->getZOrder() * 100 - 70 + zOrder);
+                if(overXZPlain == true /*&& (it->second->getZOrder() <= 100 * this->overlay_->getZOrder())*/)
+                    it->second->_notifyZOrder(this->overlay_->getZOrder() * 100 + 70 + zOrder);
             }
             else
-            	coord = get2DViewcoordinates(this->owner_->getPosition(), this->owner_->getOrientation() * WorldEntity::FRONT, this->owner_->getOrientation() * WorldEntity::UP, wePointer->getWorldPosition());
+                coord = get2DViewcoordinates(this->owner_->getPosition(), this->owner_->getOrientation() * WorldEntity::FRONT, this->owner_->getOrientation() * WorldEntity::UP, wePointer->getWorldPosition());
 
             coord *= math::pi / 3.5f; // small adjustment to make it fit the texture
@@ -256,5 +256,5 @@
                 this->marker_->setPosition((1.0f + coord.x - size * 1.5f) * 0.5f, (1.0f - coord.y - size * 1.5f) * 0.5f);
                 if(RadarMode_)
-                	this->marker_->_notifyZOrder(it->second->getZOrder() -1);
+                    this->marker_->_notifyZOrder(it->second->getZOrder() -1);
                 this->marker_->show();
             }
Index: /code/trunk/src/modules/overlays/hud/HUDRadar.h
===================================================================
--- /code/trunk/src/modules/overlays/hud/HUDRadar.h	(revision 9944)
+++ /code/trunk/src/modules/overlays/hud/HUDRadar.h	(revision 9945)
@@ -111,6 +111,6 @@
         float mapAngle_;
 
-        std::string material2D_;		//Material name for 2D map
-        std::string material3D_;		//Material names For the 3D minimap
+        std::string material2D_;        //Material name for 2D map
+        std::string material3D_;        //Material names For the 3D minimap
         std::string material3DFront_;
         std::string material3DBack_;
Index: /code/trunk/src/modules/pong/PongBall.cc
===================================================================
--- /code/trunk/src/modules/pong/PongBall.cc	(revision 9944)
+++ /code/trunk/src/modules/pong/PongBall.cc	(revision 9945)
@@ -147,5 +147,5 @@
         {
             defBoundarySound_->play(); //play boundary sound
-        	// Its velocity in z-direction is inverted (i.e. it bounces off).
+            // Its velocity in z-direction is inverted (i.e. it bounces off).
             velocity.z = -velocity.z;
             // And its position is set as to not overstep the boundary it has just crossed.
@@ -173,5 +173,5 @@
                     {
                         defBatSound_->play(); //play bat sound
-                    	// Set the ball to be exactly at the boundary.
+                        // Set the ball to be exactly at the boundary.
                         position.x = this->fieldWidth_ / 2;
                         // Invert its velocity in x-direction (i.e. it bounces off).
@@ -186,5 +186,5 @@
                     else if (GameMode::isMaster() && position.x > this->fieldWidth_ / 2 * (1 + this->relMercyOffset_))
                     {
-                    	defScoreSound_->play();//play score sound
+                        defScoreSound_->play();//play score sound
                         if (this->getGametype() && this->bat_[0])
                         {
@@ -202,5 +202,5 @@
                     {
                         defBatSound_->play(); //play bat sound
-                    	// Set the ball to be exactly at the boundary.
+                        // Set the ball to be exactly at the boundary.
                         position.x = -this->fieldWidth_ / 2;
                         // Invert its velocity in x-direction (i.e. it bounces off).
@@ -215,5 +215,5 @@
                     else if (GameMode::isMaster() && position.x < -this->fieldWidth_ / 2 * (1 + this->relMercyOffset_))
                     {
-                    	defScoreSound_->play();//play score sound
+                        defScoreSound_->play();//play score sound
                         if (this->getGametype() && this->bat_[1])
                         {
Index: /code/trunk/src/modules/tetris/TetrisBrick.cc
===================================================================
--- /code/trunk/src/modules/tetris/TetrisBrick.cc	(revision 9944)
+++ /code/trunk/src/modules/tetris/TetrisBrick.cc	(revision 9945)
@@ -87,5 +87,5 @@
                     stone->addTemplate(this->tetris_->getCenterpoint()->getStoneTemplate());
                 else
-                	orxout()<< "tetris_->getCenterpoint == NULL in TetrisBrick.cc"<< endl;
+                    orxout()<< "tetris_->getCenterpoint == NULL in TetrisBrick.cc"<< endl;
             }
             else
@@ -116,13 +116,13 @@
             if(this->shapeIndex_ == 1 || this->shapeIndex_ == 6 || this->shapeIndex_ == 7)
             {
-            	stone->setPosition(0.0f, 2*size_, 0.0f);
+                stone->setPosition(0.0f, 2*size_, 0.0f);
             }
             else if(this->shapeIndex_ == 3 || this->shapeIndex_ == 4|| this->shapeIndex_ == 5)
             {
-            	stone->setPosition(size_, 0, 0.0f);
+                stone->setPosition(size_, 0, 0.0f);
             }
             else if(this->shapeIndex_ == 2)
             {
-            	stone->setPosition(-size_, 0, 0.0f);
+                stone->setPosition(-size_, 0, 0.0f);
             }
         }
@@ -131,21 +131,21 @@
             if(this->shapeIndex_ == 2 || this->shapeIndex_ == 5)
             {
-            	stone->setPosition(size_, size_, 0.0f);
+                stone->setPosition(size_, size_, 0.0f);
             }
             else if(this->shapeIndex_ == 1)
             {
-            	stone->setPosition(0, 3*size_, 0.0f);
+                stone->setPosition(0, 3*size_, 0.0f);
             }
             else if(this->shapeIndex_ == 3 || this->shapeIndex_ == 7)
             {
-            	stone->setPosition(-size_, 0, 0.0f);
+                stone->setPosition(-size_, 0, 0.0f);
             }
             else if(this->shapeIndex_ == 4)
             {
-            	stone->setPosition(-size_, size_, 0.0f);
+                stone->setPosition(-size_, size_, 0.0f);
             }
             else if(this->shapeIndex_ == 6)
             {
-            	stone->setPosition(size_, 0, 0.0f);
+                stone->setPosition(size_, 0, 0.0f);
             }
         }
@@ -154,12 +154,12 @@
     bool TetrisBrick::isValidMove(const Vector3& position, bool isRotation = false)
     {
-    	return this->tetris_->isValidMove(this,position, isRotation);
+        return this->tetris_->isValidMove(this,position, isRotation);
     }
 
     TetrisStone* TetrisBrick::getStone(unsigned int i)
     {
-    	if(i < this->brickStones_.size())
+        if(i < this->brickStones_.size())
             return this->brickStones_[i];
-    	else return NULL;
+        else return NULL;
     }
 
@@ -192,6 +192,6 @@
         else if(!this->lockRotation_) //rotate when key up is pressed
         {
-        	if(!isValidMove(this->getPosition(), true)) //catch illegal rotations
-        	    return;
+            if(!isValidMove(this->getPosition(), true)) //catch illegal rotations
+                return;
             this->lockRotation_ = true; // multiple calls of this function have to be filtered out.
             this->rotationTimer_.setTimer(0.1f, false, createExecutor(createFunctor(&TetrisBrick::unlockRotation, this)));
Index: /code/trunk/src/modules/tetris/TetrisScore.cc
===================================================================
--- /code/trunk/src/modules/tetris/TetrisScore.cc	(revision 9944)
+++ /code/trunk/src/modules/tetris/TetrisScore.cc	(revision 9945)
@@ -92,5 +92,5 @@
         {
             std::string score("0");
-	        if(!this->owner_->hasEnded())
+            if(!this->owner_->hasEnded())
             {
                 //get the player
Index: /code/trunk/src/modules/weapons/weaponmodes/HsW01.cc
===================================================================
--- /code/trunk/src/modules/weapons/weaponmodes/HsW01.cc	(revision 9944)
+++ /code/trunk/src/modules/weapons/weaponmodes/HsW01.cc	(revision 9945)
@@ -82,5 +82,5 @@
         XMLPortParam(HsW01, "material", setMaterial, getMaterial, xmlelement, mode);
         XMLPortParam(HsW01, "projectileMesh", setMesh, getMesh, xmlelement, mode);
-	XMLPortParam(HsW01, "sound", setSound, getSound, xmlelement, mode);
+        XMLPortParam(HsW01, "sound", setSound, getSound, xmlelement, mode);
     }
 
Index: /code/trunk/src/modules/weapons/weaponmodes/HsW01.h
===================================================================
--- /code/trunk/src/modules/weapons/weaponmodes/HsW01.h	(revision 9944)
+++ /code/trunk/src/modules/weapons/weaponmodes/HsW01.h	(revision 9945)
@@ -74,5 +74,5 @@
                 { return this->mesh_; }
 
-	    /**
+            /**
             @brief Set the sound.
             @param mesh The Sound name.
@@ -81,5 +81,5 @@
                 { this->sound_ = sound; }
 
-	    /**
+            /**
             @brief Get the sound.
             @return Returns the sound name.
Index: /code/trunk/src/orxonox/gametypes/Dynamicmatch.cc
===================================================================
--- /code/trunk/src/orxonox/gametypes/Dynamicmatch.cc	(revision 9944)
+++ /code/trunk/src/orxonox/gametypes/Dynamicmatch.cc	(revision 9945)
@@ -276,5 +276,5 @@
             else if (friendlyfire && (source == target))
             {
-           	    this->playerScored(originator->getPlayer(), -1);
+                this->playerScored(originator->getPlayer(), -1);
             }
         }
@@ -292,5 +292,5 @@
             if (playerParty_[originator->getPlayer()] == killer) //reward the killer
             {
-           	    this->playerScored(originator->getPlayer(), 25);
+                this->playerScored(originator->getPlayer(), 25);
             }
             return true;
@@ -412,5 +412,5 @@
             if (it->second==piggy)//Spieler mit der Pig-party frags++
             {
-            	 this->playerScored(it->first);
+                 this->playerScored(it->first);
             }
         }
Index: /code/trunk/src/orxonox/infos/PlayerInfo.cc
===================================================================
--- /code/trunk/src/orxonox/infos/PlayerInfo.cc	(revision 9944)
+++ /code/trunk/src/orxonox/infos/PlayerInfo.cc	(revision 9945)
@@ -232,6 +232,6 @@
         if (tmp == NULL)
         {
-        	orxout(verbose) <<  "PlayerInfo: pauseControl, Controller is NULL " << endl;
-        	return;
+            orxout(verbose) <<  "PlayerInfo: pauseControl, Controller is NULL " << endl;
+            return;
         }
         tmp->setActive(false);
Index: /code/trunk/src/orxonox/sound/WorldAmbientSound.cc
===================================================================
--- /code/trunk/src/orxonox/sound/WorldAmbientSound.cc	(revision 9944)
+++ /code/trunk/src/orxonox/sound/WorldAmbientSound.cc	(revision 9945)
@@ -39,5 +39,5 @@
 namespace orxonox
 {
-	SetConsoleCommand("WorldAmbientSound", "nextsong",      &WorldAmbientSound::nextSong);
+    SetConsoleCommand("WorldAmbientSound", "nextsong",      &WorldAmbientSound::nextSong);
 
     RegisterClass(WorldAmbientSound);
@@ -113,13 +113,13 @@
     {
 
-    	//HACK: Assuption - there is only one WorldAmbientSound in a level and only one level is used.
-    	for (ObjectList<WorldAmbientSound>::iterator it = ObjectList<WorldAmbientSound>::begin();
-    	     it != ObjectList<WorldAmbientSound>::end(); ++it)
-    	{
-    		while(it->ambientSound_->setAmbientSource(WorldAmbientSound::soundList_[WorldAmbientSound::soundNumber_]) == false){
-    			WorldAmbientSound::soundNumber_ = (WorldAmbientSound::soundNumber_ + 1) % WorldAmbientSound::soundList_.size();
-    		}
-    		WorldAmbientSound::soundNumber_ = (WorldAmbientSound::soundNumber_ + 1) % WorldAmbientSound::soundList_.size();
-    	}
+        //HACK: Assuption - there is only one WorldAmbientSound in a level and only one level is used.
+        for (ObjectList<WorldAmbientSound>::iterator it = ObjectList<WorldAmbientSound>::begin();
+             it != ObjectList<WorldAmbientSound>::end(); ++it)
+        {
+            while(it->ambientSound_->setAmbientSource(WorldAmbientSound::soundList_[WorldAmbientSound::soundNumber_]) == false){
+                WorldAmbientSound::soundNumber_ = (WorldAmbientSound::soundNumber_ + 1) % WorldAmbientSound::soundList_.size();
+            }
+            WorldAmbientSound::soundNumber_ = (WorldAmbientSound::soundNumber_ + 1) % WorldAmbientSound::soundList_.size();
+        }
     }
 }
Index: /code/trunk/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- /code/trunk/src/orxonox/worldentities/pawns/Pawn.cc	(revision 9944)
+++ /code/trunk/src/orxonox/worldentities/pawns/Pawn.cc	(revision 9945)
@@ -305,5 +305,5 @@
     void Pawn::kill()
     {
-    	this->damage(this->health_);
+        this->damage(this->health_);
         this->death();
     }
@@ -330,5 +330,5 @@
         {
             explosionSound_->play();
-        	// Set bAlive_ to false and wait for PawnManager to do the destruction
+            // Set bAlive_ to false and wait for PawnManager to do the destruction
             this->bAlive_ = false;
 
